package com.persagy.adm.server.custom.dto;

import cn.hutool.core.collection.CollUtil;
import com.fasterxml.jackson.databind.node.ObjectNode;
import com.persagy.adm.server.custom.entity.db.BaseAdmDataEntity;
import com.persagy.dmp.common.model.entity.AuditableEntity;
import com.persagy.dmp.common.model.entity.BaseEntity;
import com.persagy.dmp.digital.entity.ObjectRelation;
import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
public class DownLoadData<T> {

    private Long ts;
    private T data;

    public void buildDownloadTs() {
        long ts = getMaxTs();
        if(ts > 0)
            this.ts = ts;
    }

    protected long getMaxTs() {
        if(data instanceof List){
            List<?> list = (List<?>) data;
            long maxTs = -1;
            maxTs = max(list, maxTs);
            return maxTs;
        }
        return 0;
    }


    private long max(List<?> list, long maxTs) {
        if(CollUtil.isNotEmpty(list)) {
            for (Object data : list) {
                long ts = -1;
                if(data instanceof BaseAdmDataEntity) {
                    if(((BaseAdmDataEntity) data).getTs() != null )
                        ts = ((BaseAdmDataEntity) data).getTs().getTime();
                } else if(data instanceof ObjectNode){
                    if(((ObjectNode) data).get("ts") != null)
                        ts = ((ObjectNode) data).get("ts").asLong();
                } else if (data instanceof AuditableEntity){
                    Date ts1 = ((AuditableEntity) data).getTs();
                    if (ts1 != null){
                        ts = ts1.getTime();
                    }
                } else if(data instanceof BaseEntity) {
                    if(((ObjectRelation) data).getTs() != null)
                        ts = ((ObjectRelation) data).getTs().getTime();
                }
                if(ts > maxTs)
                    maxTs = ts;
            }
        }
        return maxTs;
    }
}
