package com.persagy.adm.server.custom.interceptor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;
import org.springframework.web.servlet.handler.HandlerInterceptorAdapter;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.BufferedReader;
import java.io.IOException;

/**
 * 解密拦截器
 *
 * @author:linhuili
 * @date:2022/1/25
 */
@Slf4j
@Component
public class StewardInterceptor extends HandlerInterceptorAdapter {

    @Override
    public boolean preHandle(HttpServletRequest request, HttpServletResponse response, Object handler) throws Exception {
        // 不再在此处进行修改request请求参数
        //String body = getBody(request);
        //log.info("BOSS交付范围加密请求参数：{}"+body);
        //RSAUtils.decode(body,SpringHelper.getString("boss.rsa.publicKey"));
        return super.preHandle(request, response, handler);
    }

    /**
     * 获取请求体
     * @param request
     * @return
     * @throws IOException
     */
    public String getBody(HttpServletRequest request) throws IOException {
        // 获取请求体
        BufferedReader br = request.getReader();
        String inputLine;
        String body = "";
        try {
            while ((inputLine = br.readLine()) != null) {
                body += inputLine;
            }
            br.close();
        } catch (IOException e) {
            System.out.println("IOException: " + e);
        }
        return body;
    }

}
