package com.persagy.adm.server.delivery.service;

import com.persagy.adm.server.delivery.entity.BossProjectDeliveryPlan;
import com.persagy.adm.steward.entity.ProductFinishNumReq;
import com.persagy.adm.steward.entity.ProjectDeliverReq;

import java.util.List;

/**
 * 对接BOSS的交付计划逻辑处理接口
 * @author : lijie
 * Update By 2022/1/14 16:07
 */
public interface AdmDeliverPlanService {
    /**
     * 处理BOSS产生的交付计划
     * @param projectDeliverReq : 交付计划信息
     * @author : lijie
     * Update By 2022/1/14 17:22
     */
    void relayDeliverPlan(ProjectDeliverReq projectDeliverReq);

    /**
     * 交付完成
     * @param deliveryPlan
     * @return
     */
    List<ProductFinishNumReq> finishDeliverPlan(BossProjectDeliveryPlan deliveryPlan);
}
